diff --git a/doc/src/sgml/hstore.sgml b/doc/src/sgml/hstore.sgml
index 5f8d1d1ff43..bae5a68b898 100644
--- a/doc/src/sgml/hstore.sgml
+++ b/doc/src/sgml/hstore.sgml
@@ -21,7 +21,7 @@
   on the current database.
  </para>
 
- <sect2 id="hstore-external-rep">
+ <sect2 id="hstore-external-rep" xreflabel="hstore External Representation">
   <title><type>hstore</type> External Representation</title>
 
   <para>
@@ -88,7 +88,7 @@ key =&gt; NULL
 
  </sect2>
 
- <sect2 id="hstore-ops-funcs">
+ <sect2 id="hstore-ops-funcs" xreflabel="hstore Operators and Functions">
   <title><type>hstore</type> Operators and Functions</title>
 
   <para>
@@ -738,7 +738,7 @@ SELECT h FROM mytable;
   </para>
  </sect2>
 
- <sect2 id="hstore-indexes">
+ <sect2 id="hstore-indexes" xreflabel="Indexes">
   <title>Indexes</title>
 
   <para>
@@ -784,7 +784,7 @@ CREATE INDEX hidx ON testhstore USING HASH (h);
 </programlisting>
  </sect2>
 
- <sect2 id="hstore-examples">
+ <sect2 id="hstore-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
@@ -853,7 +853,7 @@ SELECT (r).* FROM (SELECT t #= '"col3"=&gt;"baz"' AS r FROM test t) s;
   </para>
  </sect2>
 
- <sect2 id="hstore-statistics">
+ <sect2 id="hstore-statistics" xreflabel="Statistics">
   <title>Statistics</title>
 
   <para>
@@ -900,7 +900,7 @@ SELECT key, count(*) FROM
   </para>
  </sect2>
 
- <sect2 id="hstore-compatibility">
+ <sect2 id="hstore-compatibility" xreflabel="Compatibility">
   <title>Compatibility</title>
 
   <para>
@@ -933,7 +933,7 @@ ALTER TABLE tablename ALTER hstorecol TYPE hstore USING hstorecol || '';
 
  </sect2>
 
- <sect2 id="hstore-transforms">
+ <sect2 id="hstore-transforms" xreflabel="Transforms">
   <title>Transforms</title>
 
   <para>
@@ -948,7 +948,7 @@ ALTER TABLE tablename ALTER hstorecol TYPE hstore USING hstorecol || '';
   </para>
  </sect2>
 
- <sect2 id="hstore-authors">
+ <sect2 id="hstore-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
diff --git a/doc/src/sgml/indexam.sgml b/doc/src/sgml/indexam.sgml
index 63d7e376f19..521279f33a6 100644
--- a/doc/src/sgml/indexam.sgml
+++ b/doc/src/sgml/indexam.sgml
@@ -52,7 +52,7 @@
    are reclaimed.
   </para>
 
- <sect1 id="index-api">
+ <sect1 id="index-api" xreflabel="Basic API Structure for Indexes">
   <title>Basic API Structure for Indexes</title>
 
   <para>
@@ -276,7 +276,7 @@ typedef struct IndexAmRoutine
 
  </sect1>
 
- <sect1 id="index-functions">
+ <sect1 id="index-functions" xreflabel="Index Access Method Functions">
   <title>Index Access Method Functions</title>
 
   <para>
@@ -911,7 +911,7 @@ amtranslatecmptype (CompareType cmptype, Oid opfamily, Oid opcintype);
 
  </sect1>
 
- <sect1 id="index-scanning">
+ <sect1 id="index-scanning" xreflabel="Index Scanning">
   <title>Index Scanning</title>
 
   <para>
@@ -1066,7 +1066,7 @@ amtranslatecmptype (CompareType cmptype, Oid opfamily, Oid opcintype);
 
  </sect1>
 
- <sect1 id="index-locking">
+ <sect1 id="index-locking" xreflabel="Index Locking Considerations">
   <title>Index Locking Considerations</title>
 
   <para>
@@ -1182,7 +1182,7 @@ amtranslatecmptype (CompareType cmptype, Oid opfamily, Oid opcintype);
 
  </sect1>
 
- <sect1 id="index-unique-checks">
+ <sect1 id="index-unique-checks" xreflabel="Index Uniqueness Checks">
   <title>Index Uniqueness Checks</title>
 
   <para>
@@ -1331,7 +1331,7 @@ amtranslatecmptype (CompareType cmptype, Oid opfamily, Oid opcintype);
 
  </sect1>
 
- <sect1 id="index-cost-estimation">
+ <sect1 id="index-cost-estimation" xreflabel="Index Cost Estimation Functions">
   <title>Index Cost Estimation Functions</title>
 
   <para>
diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 55f39b0df2f..93f9617b4c1 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -16,7 +16,7 @@
  </para>
 
 
- <sect1 id="indexes-intro">
+ <sect1 id="indexes-intro" xreflabel="Introduction">
   <title>Introduction</title>
 
   <para>
@@ -145,7 +145,7 @@ CREATE INDEX test1_id_index ON test1 (id);
  </sect1>
 
 
- <sect1 id="indexes-types">
+ <sect1 id="indexes-types" xreflabel="Index Types">
   <title>Index Types</title>
 
   <para>
@@ -165,7 +165,7 @@ CREATE INDEX <replaceable>name</replaceable> ON <replaceable>table</replaceable>
 </programlisting>
   </para>
 
-  <sect2 id="indexes-types-btree">
+  <sect2 id="indexes-types-btree" xreflabel="B-Tree">
    <title>B-Tree</title>
 
    <indexterm>
@@ -217,7 +217,7 @@ CREATE INDEX <replaceable>name</replaceable> ON <replaceable>table</replaceable>
   </para>
   </sect2>
 
-  <sect2 id="indexes-types-hash">
+  <sect2 id="indexes-types-hash" xreflabel="Hash">
    <title>Hash</title>
 
    <indexterm>
@@ -243,7 +243,7 @@ CREATE INDEX <replaceable>name</replaceable> ON <replaceable>table</replaceable>
   </para>
   </sect2>
 
-  <sect2 id="indexes-type-gist">
+  <sect2 id="indexes-type-gist" xreflabel="GiST">
    <title>GiST</title>
 
    <indexterm>
@@ -292,7 +292,7 @@ SELECT * FROM places ORDER BY location <-> point '(101,456)' LIMIT 10;
   </para>
   </sect2>
 
-  <sect2 id="indexes-type-spgist">
+  <sect2 id="indexes-type-spgist" xreflabel="SP-GiST">
    <title>SP-GiST</title>
 
    <indexterm>
@@ -332,7 +332,7 @@ SELECT * FROM places ORDER BY location <-> point '(101,456)' LIMIT 10;
   </para>
   </sect2>
 
-  <sect2 id="indexes-types-gin">
+  <sect2 id="indexes-types-gin" xreflabel="GIN">
    <title>GIN</title>
 
    <indexterm>
@@ -375,7 +375,7 @@ SELECT * FROM places ORDER BY location <-> point '(101,456)' LIMIT 10;
   </para>
   </sect2>
 
-  <sect2 id="indexes-types-brin">
+  <sect2 id="indexes-types-brin" xreflabel="BRIN">
    <title>BRIN</title>
 
    <indexterm>
@@ -413,7 +413,7 @@ SELECT * FROM places ORDER BY location <-> point '(101,456)' LIMIT 10;
  </sect1>
 
 
- <sect1 id="indexes-multicolumn">
+ <sect1 id="indexes-multicolumn" xreflabel="Multicolumn Indexes">
   <title>Multicolumn Indexes</title>
 
   <indexterm zone="indexes-multicolumn">
@@ -555,7 +555,7 @@ CREATE INDEX test2_mm_idx ON test2 (major, minor);
  </sect1>
 
 
- <sect1 id="indexes-ordering">
+ <sect1 id="indexes-ordering" xreflabel="Indexes and ORDER BY">
   <title>Indexes and <literal>ORDER BY</literal></title>
 
   <indexterm zone="indexes-ordering">
@@ -639,7 +639,7 @@ CREATE INDEX test3_desc_index ON test3 (id DESC NULLS LAST);
  </sect1>
 
 
- <sect1 id="indexes-bitmap-scans">
+ <sect1 id="indexes-bitmap-scans" xreflabel="Combining Multiple Indexes">
   <title>Combining Multiple Indexes</title>
 
   <indexterm zone="indexes-bitmap-scans">
@@ -725,7 +725,7 @@ CREATE INDEX test3_desc_index ON test3 (id DESC NULLS LAST);
  </sect1>
 
 
- <sect1 id="indexes-unique">
+ <sect1 id="indexes-unique" xreflabel="Unique Indexes">
   <title>Unique Indexes</title>
 
   <indexterm zone="indexes-unique">
@@ -769,7 +769,7 @@ CREATE UNIQUE INDEX <replaceable>name</replaceable> ON <replaceable>table</repla
  </sect1>
 
 
- <sect1 id="indexes-expressional">
+ <sect1 id="indexes-expressional" xreflabel="Indexes on Expressions">
   <title>Indexes on Expressions</title>
 
   <indexterm zone="indexes-expressional">
@@ -838,7 +838,7 @@ CREATE INDEX people_names ON people ((first_name || ' ' || last_name));
  </sect1>
 
 
- <sect1 id="indexes-partial">
+ <sect1 id="indexes-partial" xreflabel="Partial Indexes">
   <title>Partial Indexes</title>
 
   <indexterm zone="indexes-partial">
@@ -1118,7 +1118,7 @@ CREATE INDEX mytable_cat_data ON mytable (category, data);
  </sect1>
 
 
- <sect1 id="indexes-index-only-scans">
+ <sect1 id="indexes-index-only-scans" xreflabel="Index-Only Scans and Covering Indexes">
   <title>Index-Only Scans and Covering Indexes</title>
 
   <indexterm zone="indexes-index-only-scans">
@@ -1378,7 +1378,7 @@ SELECT target FROM tests WHERE subject = 'some-subject' AND success;
  </sect1>
 
 
- <sect1 id="indexes-opclass">
+ <sect1 id="indexes-opclass" xreflabel="Operator Classes and Operator Families">
   <title>Operator Classes and Operator Families</title>
 
   <indexterm zone="indexes-opclass">
@@ -1516,7 +1516,7 @@ SELECT am.amname AS index_method,
  </sect1>
 
 
- <sect1 id="indexes-collations">
+ <sect1 id="indexes-collations" xreflabel="Indexes and Collations">
   <title>Indexes and Collations</title>
 
   <para>
@@ -1554,7 +1554,7 @@ CREATE INDEX test1c_content_y_index ON test1c (content COLLATE "y");
  </sect1>
 
 
- <sect1 id="indexes-examine">
+ <sect1 id="indexes-examine" xreflabel="Examining Index Usage">
   <title>Examining Index Usage</title>
 
   <indexterm zone="indexes-examine">
diff --git a/doc/src/sgml/info.sgml b/doc/src/sgml/info.sgml
index 6b9f1b5d814..9f6aef4014f 100644
--- a/doc/src/sgml/info.sgml
+++ b/doc/src/sgml/info.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/info.sgml -->
 
-<sect1 id="resources">
+<sect1 id="resources" xreflabel="Further Information">
  <title>Further Information</title>
 
  <para>
diff --git a/doc/src/sgml/information_schema.sgml b/doc/src/sgml/information_schema.sgml
index 60b4c4ae8c0..1b847d04aa7 100644
--- a/doc/src/sgml/information_schema.sgml
+++ b/doc/src/sgml/information_schema.sgml
@@ -45,7 +45,7 @@
  </note>
 
 
- <sect1 id="infoschema-schema">
+ <sect1 id="infoschema-schema" xreflabel="The Schema">
   <title>The Schema</title>
 
   <para>
@@ -67,7 +67,7 @@
   </para>
  </sect1>
 
- <sect1 id="infoschema-datatypes">
+ <sect1 id="infoschema-datatypes" xreflabel="Data Types">
   <title>Data Types</title>
 
   <para>
@@ -141,7 +141,7 @@
   </para>
  </sect1>
 
- <sect1 id="infoschema-information-schema-catalog-name">
+ <sect1 id="infoschema-information-schema-catalog-name" xreflabel="information_schema_catalog_name">
   <title><literal>information_schema_catalog_name</literal></title>
 
   <para>
@@ -178,7 +178,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-administrable-role-authorizations">
+ <sect1 id="infoschema-administrable-role-authorizations" xreflabel="administrable_role_authorizations">
   <title><literal>administrable_role_&zwsp;authorizations</literal></title>
 
   <para>
@@ -235,7 +235,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-applicable-roles">
+ <sect1 id="infoschema-applicable-roles" xreflabel="applicable_roles">
   <title><literal>applicable_roles</literal></title>
 
   <para>
@@ -297,7 +297,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-attributes">
+ <sect1 id="infoschema-attributes" xreflabel="attributes">
   <title><literal>attributes</literal></title>
 
   <para>
@@ -666,7 +666,7 @@
   </para>
  </sect1>
 
- <sect1 id="infoschema-character-sets">
+ <sect1 id="infoschema-character-sets" xreflabel="character_sets">
   <title><literal>character_sets</literal></title>
 
   <para>
@@ -824,7 +824,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-check-constraint-routine-usage">
+ <sect1 id="infoschema-check-constraint-routine-usage" xreflabel="check_constraint_routine_usage">
   <title><literal>check_constraint_routine_usage</literal></title>
 
   <para>
@@ -907,7 +907,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-check-constraints">
+ <sect1 id="infoschema-check-constraints" xreflabel="check_constraints">
   <title><literal>check_constraints</literal></title>
 
   <para>
@@ -979,7 +979,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-collations">
+ <sect1 id="infoschema-collations" xreflabel="collations">
   <title><literal>collations</literal></title>
 
   <para>
@@ -1043,7 +1043,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-collation-character-set-applicab"> <!-- max 44 characters -->
+ <sect1 id="infoschema-collation-character-set-applicab" xreflabel="collation_character_set_&zwsp;applicability">
   <title><literal>collation_character_set_&zwsp;applicability</literal></title>
 
   <para>
@@ -1128,7 +1128,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-column-column-usage">
+ <sect1 id="infoschema-column-column-usage" xreflabel="column_column_usage">
   <title><literal>column_column_usage</literal></title>
 
   <para>
@@ -1201,7 +1201,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-column-domain-usage">
+ <sect1 id="infoschema-column-domain-usage" xreflabel="column_domain_usage">
   <title><literal>column_domain_usage</literal></title>
 
   <para>
@@ -1292,7 +1292,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-column-options">
+ <sect1 id="infoschema-column-options" xreflabel="column_options">
   <title><literal>column_options</literal></title>
 
   <para>
@@ -1375,7 +1375,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-column-privileges">
+ <sect1 id="infoschema-column-privileges" xreflabel="column_privileges">
   <title><literal>column_privileges</literal></title>
 
   <para>
@@ -1486,7 +1486,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-column-udt-usage">
+ <sect1 id="infoschema-column-udt-usage" xreflabel="column_udt_usage">
   <title><literal>column_udt_usage</literal></title>
 
   <para>
@@ -1583,7 +1583,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-columns">
+ <sect1 id="infoschema-columns" xreflabel="columns">
   <title><literal>columns</literal></title>
 
   <para>
@@ -2115,7 +2115,7 @@
   </para>
  </sect1>
 
- <sect1 id="infoschema-constraint-column-usage">
+ <sect1 id="infoschema-constraint-column-usage" xreflabel="constraint_column_usage">
   <title><literal>constraint_column_usage</literal></title>
 
   <para>
@@ -2217,7 +2217,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-constraint-table-usage">
+ <sect1 id="infoschema-constraint-table-usage" xreflabel="constraint_table_usage">
   <title><literal>constraint_table_usage</literal></title>
 
   <para>
@@ -2308,7 +2308,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-data-type-privileges">
+ <sect1 id="infoschema-data-type-privileges" xreflabel="data_type_privileges">
   <title><literal>data_type_privileges</literal></title>
 
   <para>
@@ -2397,7 +2397,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-domain-constraints">
+ <sect1 id="infoschema-domain-constraints" xreflabel="domain_constraints">
   <title><literal>domain_constraints</literal></title>
 
   <para>
@@ -2498,7 +2498,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-domain-udt-usage">
+ <sect1 id="infoschema-domain-udt-usage" xreflabel="domain_udt_usage">
   <title><literal>domain_udt_usage</literal></title>
 
   <para>
@@ -2582,7 +2582,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-domains">
+ <sect1 id="infoschema-domains" xreflabel="domains">
   <title><literal>domains</literal></title>
 
   <para>
@@ -2904,7 +2904,7 @@
   </table>
  </sect1>
 
- <sect1 id="infoschema-element-types">
+ <sect1 id="infoschema-element-types" xreflabel="element_types">
   <title><literal>element_types</literal></title>
 
   <para>
@@ -3222,7 +3222,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-enabled-roles">
+ <sect1 id="infoschema-enabled-roles" xreflabel="enabled_roles">
   <title><literal>enabled_roles</literal></title>
 
   <para>
@@ -3273,7 +3273,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-data-wrapper-options">
+ <sect1 id="infoschema-foreign-data-wrapper-options" xreflabel="foreign_data_wrapper_options">
   <title><literal>foreign_data_wrapper_options</literal></title>
 
   <para>
@@ -3339,7 +3339,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-data-wrappers">
+ <sect1 id="infoschema-foreign-data-wrappers" xreflabel="foreign_data_wrappers">
   <title><literal>foreign_data_wrappers</literal></title>
 
   <para>
@@ -3414,7 +3414,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-server-options">
+ <sect1 id="infoschema-foreign-server-options" xreflabel="foreign_server_options">
   <title><literal>foreign_server_options</literal></title>
 
   <para>
@@ -3479,7 +3479,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-servers">
+ <sect1 id="infoschema-foreign-servers" xreflabel="foreign_servers">
   <title><literal>foreign_servers</literal></title>
 
   <para>
@@ -3572,7 +3572,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-table-options">
+ <sect1 id="infoschema-foreign-table-options" xreflabel="foreign_table_options">
   <title><literal>foreign_table_options</literal></title>
 
   <para>
@@ -3646,7 +3646,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-foreign-tables">
+ <sect1 id="infoschema-foreign-tables" xreflabel="foreign_tables">
   <title><literal>foreign_tables</literal></title>
 
   <para>
@@ -3720,7 +3720,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-key-column-usage">
+ <sect1 id="infoschema-key-column-usage" xreflabel="key_column_usage">
   <title><literal>key_column_usage</literal></title>
 
   <para>
@@ -3838,7 +3838,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-parameters">
+ <sect1 id="infoschema-parameters" xreflabel="parameters">
   <title><literal>parameters</literal></title>
 
   <para>
@@ -4171,7 +4171,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-referential-constraints">
+ <sect1 id="infoschema-referential-constraints" xreflabel="referential_constraints">
   <title><literal>referential_constraints</literal></title>
 
   <para>
@@ -4295,7 +4295,7 @@ ORDER BY c.ordinal_position;
 
  </sect1>
 
- <sect1 id="infoschema-role-column-grants">
+ <sect1 id="infoschema-role-column-grants" xreflabel="role_column_grants">
   <title><literal>role_column_grants</literal></title>
 
   <para>
@@ -4402,7 +4402,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-role-routine-grants">
+ <sect1 id="infoschema-role-routine-grants" xreflabel="role_routine_grants">
   <title><literal>role_routine_grants</literal></title>
 
   <para>
@@ -4525,7 +4525,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-role-table-grants">
+ <sect1 id="infoschema-role-table-grants" xreflabel="role_table_grants">
   <title><literal>role_table_grants</literal></title>
 
   <para>
@@ -4638,7 +4638,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-role-udt-grants">
+ <sect1 id="infoschema-role-udt-grants" xreflabel="role_udt_grants">
   <title><literal>role_udt_grants</literal></title>
 
   <para>
@@ -4736,7 +4736,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-role-usage-grants">
+ <sect1 id="infoschema-role-usage-grants" xreflabel="role_usage_grants">
   <title><literal>role_usage_grants</literal></title>
 
   <para>
@@ -4842,7 +4842,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routine-column-usage">
+ <sect1 id="infoschema-routine-column-usage" xreflabel="routine_column_usage">
   <title><literal>routine_column_usage</literal></title>
 
   <para>
@@ -4964,7 +4964,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routine-privileges">
+ <sect1 id="infoschema-routine-privileges" xreflabel="routine_privileges">
   <title><literal>routine_privileges</literal></title>
 
   <para>
@@ -5083,7 +5083,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routine-routine-usage">
+ <sect1 id="infoschema-routine-routine-usage" xreflabel="routine_routine_usage">
   <title><literal>routine_routine_usage</literal></title>
 
   <para>
@@ -5182,7 +5182,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routine-sequence-usage">
+ <sect1 id="infoschema-routine-sequence-usage" xreflabel="routine_sequence_usage">
   <title><literal>routine_sequence_usage</literal></title>
 
   <para>
@@ -5295,7 +5295,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routine-table-usage">
+ <sect1 id="infoschema-routine-table-usage" xreflabel="routine_table_usage">
   <title><literal>routine_table_usage</literal></title>
 
   <para>
@@ -5406,7 +5406,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-routines">
+ <sect1 id="infoschema-routines" xreflabel="routines">
   <title><literal>routines</literal></title>
 
   <para>
@@ -6215,7 +6215,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-schemata">
+ <sect1 id="infoschema-schemata" xreflabel="schemata">
   <title><literal>schemata</literal></title>
 
   <para>
@@ -6306,7 +6306,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-sequences">
+ <sect1 id="infoschema-sequences" xreflabel="sequences">
   <title><literal>sequences</literal></title>
 
   <para>
@@ -6460,7 +6460,7 @@ ORDER BY c.ordinal_position;
   </para>
  </sect1>
 
- <sect1 id="infoschema-sql-features">
+ <sect1 id="infoschema-sql-features" xreflabel="sql_features">
   <title><structname>sql_features</structname></title>
 
   <para>
@@ -6555,7 +6555,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-sql-implementation-info">
+ <sect1 id="infoschema-sql-implementation-info" xreflabel="sql_implementation_info">
   <title><structname>sql_implementation_info</structname></title>
 
   <para>
@@ -6637,7 +6637,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-sql-parts">
+ <sect1 id="infoschema-sql-parts" xreflabel="sql_parts">
   <title><structname>sql_parts</structname></title>
 
   <para>
@@ -6713,7 +6713,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-sql-sizing">
+ <sect1 id="infoschema-sql-sizing" xreflabel="sql_sizing">
   <title><structname>sql_sizing</structname></title>
 
   <para>
@@ -6784,7 +6784,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-table-constraints">
+ <sect1 id="infoschema-table-constraints" xreflabel="table_constraints">
   <title><literal>table_constraints</literal></title>
 
   <para>
@@ -6916,7 +6916,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-table-privileges">
+ <sect1 id="infoschema-table-privileges" xreflabel="table_privileges">
   <title><literal>table_privileges</literal></title>
 
   <para>
@@ -7025,7 +7025,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-tables">
+ <sect1 id="infoschema-tables" xreflabel="tables">
   <title><literal>tables</literal></title>
 
   <para>
@@ -7172,7 +7172,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-transforms">
+ <sect1 id="infoschema-transforms" xreflabel="transforms">
   <title><literal>transforms</literal></title>
 
   <para>
@@ -7276,7 +7276,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-triggered-update-columns">
+ <sect1 id="infoschema-triggered-update-columns" xreflabel="triggered_update_columns">
   <title><literal>triggered_update_columns</literal></title>
 
   <para>
@@ -7372,7 +7372,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-triggers">
+ <sect1 id="infoschema-triggers" xreflabel="triggers">
   <title><literal>triggers</literal></title>
 
   <para>
@@ -7613,7 +7613,7 @@ ORDER BY c.ordinal_position;
   </note>
  </sect1>
 
- <sect1 id="infoschema-udt-privileges">
+ <sect1 id="infoschema-udt-privileges" xreflabel="udt_privileges">
   <title><literal>udt_privileges</literal></title>
 
   <para>
@@ -7708,7 +7708,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-usage-privileges">
+ <sect1 id="infoschema-usage-privileges" xreflabel="usage_privileges">
   <title><literal>usage_privileges</literal></title>
 
   <para>
@@ -7827,7 +7827,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-user-defined-types">
+ <sect1 id="infoschema-user-defined-types" xreflabel="user_defined_types">
   <title><literal>user_defined_types</literal></title>
 
   <para>
@@ -8130,7 +8130,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-user-mapping-options">
+ <sect1 id="infoschema-user-mapping-options" xreflabel="user_mapping_options">
   <title><literal>user_mapping_options</literal></title>
 
   <para>
@@ -8212,7 +8212,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-user-mappings">
+ <sect1 id="infoschema-user-mappings" xreflabel="user_mappings">
   <title><literal>user_mappings</literal></title>
 
   <para>
@@ -8271,7 +8271,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-view-column-usage">
+ <sect1 id="infoschema-view-column-usage" xreflabel="view_column_usage">
   <title><literal>view_column_usage</literal></title>
 
   <para>
@@ -8374,7 +8374,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-view-routine-usage">
+ <sect1 id="infoschema-view-routine-usage" xreflabel="view_routine_usage">
   <title><literal>view_routine_usage</literal></title>
 
   <para>
@@ -8458,7 +8458,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-view-table-usage">
+ <sect1 id="infoschema-view-table-usage" xreflabel="view_table_usage">
   <title><literal>view_table_usage</literal></title>
 
   <para>
@@ -8550,7 +8550,7 @@ ORDER BY c.ordinal_position;
   </table>
  </sect1>
 
- <sect1 id="infoschema-views">
+ <sect1 id="infoschema-views" xreflabel="views">
   <title><literal>views</literal></title>
 
   <para>
